Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.persister.xstream
Class XStreamAdminConfigPersister

    java.lang.Object
      com.atlassian.bamboo.persister.xstream.AbstractXStreamPersister
          com.atlassian.bamboo.persister.xstream.XStreamAdminConfigPersister

All Implemented Interfaces:
  AdministrationConfigurationPersister

    public class XStreamAdminConfigPersister

extends AbstractXStreamPersister
implements AdministrationConfigurationPersister

Provides an XStream implemantation of `AdministrationConfiguration`.

Nested Class Summary

Nested classes/interfaces inherited from class com.atlassian.bamboo.persister.xstream.AbstractXStreamPersister
`AbstractXStreamPersister.AntBuilderMap, AbstractXStreamPersister.MavenBuilderMap, AbstractXStreamPersister.ScriptBuilderMap`

Field Summary
`static String` | `ADMIN_XML_FILE`

Fields inherited from class com.atlassian.bamboo.persister.xstream.AbstractXStreamPersister
`builderManager, myXstream`

Constructor Summary
`XStreamAdminConfigPersister(String configurationDirectory, BuilderManager builderManager)` Create a persister to load and store `AdministrationConfiguration` objects in the given myConfigurationDirectory directory.

Method Summary
`AdministrationConfiguration` | `loadConfiguation()` Load the `AdministrationConfiguration` from the myConfigurationDirectory.
`void` | `saveConfiguration(AdministrationConfiguration administrationConfiguration)` Save the given administrationConfiguration in the myConfigurationDirectory.

Methods inherited from class com.atlassian.bamboo.persister.xstream.AbstractXStreamPersister
`fromXML, init, registerClassAlias, toXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ADMIN_XML_FILE

    public static final String ADMIN_XML_FILE

See Also:
  Constant Field Values

Constructor Detail

### XStreamAdminConfigPersister

    public XStreamAdminConfigPersister(String configurationDirectory,
                                       BuilderManager builderManager)

  Create a persister to load and store `AdministrationConfiguration` objects in the given myConfigurationDirectory directory.

  Parameters:
    `configurationDirectory` - The location of the persisted objects
    `builderManager` -

Method Detail

### loadConfiguation

    public AdministrationConfiguration loadConfiguation()
                                                 throws PersisterException

  Load the `AdministrationConfiguration` from the myConfigurationDirectory.

  Specified by:
    `loadConfiguation` in interface `AdministrationConfigurationPersister`
  Returns:
    The loaded object. Null if there is no saved object
  Throws:
    `PersisterException` - Could not load the configuration file.

### saveConfiguration

    public void saveConfiguration(AdministrationConfiguration administrationConfiguration)
                           throws PersisterException

  Save the given administrationConfiguration in the myConfigurationDirectory.

  Specified by:
    `saveConfiguration` in interface `AdministrationConfigurationPersister`
  Parameters:
    `administrationConfiguration` - The object to save
  Throws:
    `PersisterException` - Could not save the configuration file.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.